import { EventEmitter, TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ResultComponent {
    prefixCls: string;
    isTitleString: boolean;
    isMessageString: boolean;
    private _title;
    private _message;
    get title(): string | TemplateRef<any>;
    set title(value: string | TemplateRef<any>);
    imgUrl: string;
    buttonText: string;
    buttonType: string;
    img: TemplateRef<any>;
    get message(): string | TemplateRef<any>;
    set message(value: string | TemplateRef<any>);
    onButtonClick: EventEmitter<any>;
    role: string;
    amResult: boolean;
    constructor();
    buttonClick(event: any): void;
    isTemplateRef(value: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResultComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResultComponent, "Result, nzm-result", never, { "title": "title"; "imgUrl": "imgUrl"; "buttonText": "buttonText"; "buttonType": "buttonType"; "img": "img"; "message": "message"; }, { "onButtonClick": "onButtonClick"; }, never, never>;
}
